#ifndef BGRAPHICHPP
#define BGRAPHICHPP

#include <graphics.h>
#include <iostream.h>
#include <stdlib.h>
#include <bios.h>


#define GRAY LIGHTGRAY
#define BRIGHT_RED LIGHTRED
#define BRIGHT_GREEN LIGHTGREEN
#define BRIGHT_BLUE LIGHTBLUE
#define BRIGHT_YELLOW YELLOW
#define BRIGHT_CYAN LIGHTCYAN
#define BRIGHT_MAGENTA LIGHTMAGENTA

typedef struct box_type {
  int x1, y1, x2, y2;
} BOX_TYPE;

typedef int COLOR_TYPE;


class Graphics {

	int screen_width, screen_height;
	int font_width, font_height;

public:

	Graphics();
	void DrawDot(int, int, int);
	void DrawBox(int, int, BOX_TYPE*);
	void DrawCircle(int, int, int, int, int);
	void DrawLine(int, int, BOX_TYPE*);
	void FillBox(int, BOX_TYPE*);
	void FillCircle(int, int, int, int);
	void PutString(int, int, int, char*);
	int FontWidth() {return font_width;}
	int FontHeight() {return font_height;}
	int ScreenWidth() {return screen_width;}
	int ScreenHeight() {return screen_height;}
	void Terminate();
	~Graphics();
};

extern Graphics* GraphicsHandler;

#endif


